Actualités & Annonces de l'équipe de développement et des administrateurs du forum.

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#1Messageil y a 5 mois

Bonjour à toutes et à tous :bjr:

Une mise à jour est annoncée

Pas encore de descriptif à l'inter

le bureau deepin
correctifs plasma
pamac passe en version 7.2 avec édition possible des fichiers de configuration des paquets
Firefox est en 63
mise à jour bugfix de python 3
mise à jour de sécurité pour xorg
Ajustements avec grub
Ajustement avec les thèmes kvantum

N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.


-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman-mirrors -f0 && sudo pacman -Syyu && yaourt -Sua
-------------------------------------------------------------------------------------

Noyaux pris en charge :
  • linux316 3.16.59
  • linux318 3.18.124 [EOL] En fin de vie
  • linux44 4.4.162
  • linux49 4.9.135
  • linux414 4.14.78
  • linux417 4.17.19 [EOL] En fin de vie
  • linux418 4.18.16
  • linux419 4.19.0
  • linux414-rt 4.14.71_rt44
  • linux416-rt 4.16.18_rt11
  • linux418-rt 4.18.12_rt7
Les changements en détail :
  • community x86_64: 375 nouveaux et 357 paquets retirés
  • core x86_64: 9 nouveaux et 11 paquets retirés
  • extra x86_64: 254 nouveaux et 347 paquets retirés
  • multilib x86_64: 14 nouveaux et 19 paquets retirés
Une liste détaillée des changements peut être trouvée ici

3 paquets supprimés:

grub-quiet python-evdev speed-dreams-data
29 nouveaux paquets :

acsccid:  PC/SC driver that supports ACS CCID smart card readers.
cbindgen:  A tool for generating C bindings to Rust code
cloudprint-cups:  Google Cloud Print driver for CUPS, allows printing to printers hosted on GCP.
cockatrice:  A cross-platform virtual tabletop for multiplayer card games
epson-inkjet-printer-escpr:  Epson Inkjet Printer Driver (ESC/P-R) for Linux
grub-fedora:  GNU GRand Unified Bootloader (fedora patched)
libnfc:  Platform independent Near Field Communication (NFC) library
mfoc:  MiFare Classic Universal toolKit
plane-icon-theme:  A simple iconset, preferably used in Gnome. Love/Inkscape/Gnome.
plane-theme:  A beautiful theme for Gnome Linux
python-****
pyzo:  Cross-platform Python IDE focused on interactivity and introspection, very suitable for scientific computing.
sysbench:  Scriptable multi-threaded benchmark tool for databases and systems
systemd-fsck-silent:  File system checks for SystemD (silent)
ttf-ibm-plex:  IBM Plex Mono, Sans, and Serif
-------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/events/thinkpad-radiosw est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S --overwrite '/etc/acpi/events/thinkpad-radiosw'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés
Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman-mirrors -g
sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#2Messageil y a 5 mois

J'ai une erreur systemctl après la mise à jour :
systemctl --failed
UNIT LOAD ACTIVE SUB DESCRIPTION
● grub-boot-indeterminate.service loaded failed failed Mark boot as indeterminate


Une idée ?

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#3Messageil y a 5 mois

bonjour,

erreur grub signalée à l'inter avec notre nouvelle version 2.03.0-10
Philm annonce déjà une nouvelle version 2.03.0-12 qui corrige ce problème
Elle vient d'être poussée dans stable il y a quelques minutes ... bientôt (2 heures ?) dans notre miroir fr

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#4Messageil y a 5 mois

bonsoir ,
ne vous précipitez pas sur cette maj , pour la DE Deepin il y a un petit souci pour le Deepin control Center

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#5Messageil y a 5 mois

Bonsoir,
Mise à jour faite ( avec le nouveau paquet Grub qui règle le message d'erreur vu + haut)
Tout à l'air OK :bien

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#6Messageil y a 5 mois


[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#7Messageil y a 5 mois

maj effectué pour XFce 46 paquets pour 400Mo
+ passage au Grub-Quiet
comme j'ai ajouté le noyau linux 4.19 , j'ai obtenu
- Grub - logo Carte-Mère - login Video Xfce

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#8Messageil y a 5 mois

Salut,

Et bien ça a été la cata pour moi cette mise à jour, en effet le système a planté au reboot donc arrêt à la sauvage, puis redémarrage et beaucoup de message d'erreur et blocage au niveau du chargement service TLP. Bon heureusement que j'avais fait une image avec Clonezilla 5 jours auparavant, j'ai pu tester pour la 1ere fois la restauration d'une partition. Je vais attendre un peu pour cette mise à jour :gsourire:

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#9Messageil y a 5 mois

alors il y a un retour coté Bios / Legacy
pas de logo affiché avec Grub-quiet ( ok avec EFI )
philm a fait donc un retour arrière côté Grub

*** pensez a installer le noyau 4.19 LTS ***
--> le noyau 4.18 est donc dès à présent bientôt en fin de vie

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#10Messageil y a 5 mois

Bonjour,
après avoir bien hésité au vu des retours dans ce fil et sur le forum en anglais, j'ai finalement lancé cette mise à jour de 54 paquets pour 314,1 Mo sous Xfce. :transpi:

Après 2 redémarrages (le second pour passer au kernel 4.19.0-2 + ménage dans la réserve stratégique de noyaux de secours), ben… nickel, RAS, ça ronronne ! :bien

Et maintenant, avec la nouvelle version du GRUB (2.03.1-1) je vois une seconde fois le logo d'ASRock lors de l'amorçage ! :gsourire:

Merci ! :merci:

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#11Messageil y a 5 mois

RAS chez moi.

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#12Messageil y a 5 mois

Bonjour, je n'ai pas encore fait cette mise à jour sur la machine concernée mais j'avoue ne pas trop comprendre la nécessité de faire des mises à jour aussi rapprochées :confus: Va-t-on vers un amoindrissement de la stabilité au profit du tout tout de suite dans un avenir proche ? Dans ce cas, je ne vois plus l'intérêt de trois branches différentes, dont deux de test.

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#13Messageil y a 5 mois

Pas de soucis en particulier. J'ai pas fait la manip pour le grub silencieux vu que j'en vois pas trop l'interet et que peut etre ca peux merder avec mon vieux matos et le fait que je tourne sous pilote nvidia proprio.

Le seul soucis que je vois c'est la lenteur de démarrage du noyau 4.19 (tlp.service prend une plombe a démarré) et le fait que l'ouverture de session sous gdm prenne une plombe et meme parfois merde avec comme erreur une erreur de login gdm connection time out.

Bref j'espere que c'est du a la jeunesse du 4.19 et que ca sera corrigé par la suite.

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#14Messageil y a 5 mois

Bonjour,

Toujours pas effectué cette mise à jour car j'appréhende au vu de certains de vos retours.

Je vais attendre encore quelques jours je pense :wink:

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#15Messageil y a 5 mois

mOOnSlide a écrit :
il y a 5 mois
Bonjour,

Toujours pas effectué cette mise à jour car j'appréhende au vu de certains de vos retours.

Je vais attendre encore quelques jours je pense :wink:
Je pense tu peut faire la MAJ et juste attendre un peu avant de passer sous le kernel LTS 4.19

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#16Messageil y a 5 mois

Bon je viens de faire un test et mes lenteur au demarrage du noyau 4.19 sont du au service TLP de gestion d'energie sur laptop.

Je l'ai désinstallé vu que je suis sur un PC Fixe et je n'ai plus de problème au démarrage. Donc je pense que le noyau 4.19 a un bug concernant TLP qu'il faudra résoudre pour ces prochaines version.

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#17Messageil y a 5 mois

Bonsoir,

Nouvelle tentative fructueuse de mise à jour ce soir sous KDE, tout s'est bien passé cette fois ci :bien

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#18Messageil y a 5 mois

et bien bonheur.

oui mes amis aucun problème avec cette mise à jour.
bref bonheur.

Merci encore à vous et ceux qui sortent leur papattes pour notre bonheur ^^

stéphane2

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#19Messageil y a 5 mois

:salut: tout le monde
81 paquets pour Kde et tout roule après redémarrage
Encore :merci: à ceux qui phosphore et qui bossent fort
Michel

[stable] Mise à jour 25-28/10/2018 - xorg, grub, deepin, kde, pamac, python

#20Messageil y a 5 mois

J'ai tenté la mise à jour, complètement foirée. :pleure:
Freeze à la fin,
Les kernels modules ne démarrent pas
Plus d'interface graphique

Aïe, j'ai l'impression d'être sous w$10 :censure:

Répondre